Create a New Resource
Facets Deployment Controller API: POST endpoint to create a new resource in a blueprint branch, specifying its resource name and resource type.
Authorization
basicAuth AuthorizationBasic <token>
In: header
Path Parameters
stackName*string
branch*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://facetsdemo.console.facets.cloud/cc-ui/v1/designer/string/branch/string" \ -H "Content-Type: application/json" \ -d '[ { "resourceName": "string", "resourceType": "string" } ]'Empty
{
"approvalUrl": "string",
"code": "string",
"errorCode": "string",
"message": "string",
"missingPermissions": [
"string"
]
}"string"{
"code": "string",
"message": "string"
}{
"code": "string",
"message": "string"
}{
"code": "string",
"message": "string"
}{
"code": "string",
"message": "string"
}Create a New Branch
Facets Deployment Controller API: POST endpoint to create a new branch from an existing branch for a blueprint stack in the designer.
Enable/Disable Resources in a Blueprint
Facets Deployment Controller API: PUT endpoint to enable or disable resources in a blueprint by stack name, toggling each resource by type and name.